/**
 *  Copyright 2005-2016 Red Hat, Inc.
 *
 *  Red Hat licenses this file to you under the Apache License, version
 *  2.0 (the "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 *  implied.  See the License for the specific language governing
 *  permissions and limitations under the License.
 */
package io.fabric8.patch.management;

import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * Interface used by {@link io.fabric8.patch.management.impl.GitPatchManagementService} to check the context and
 * environment capabilities.
 */
public interface EnvService {

    /**
     * Checks in what kind of environment we are running. Used to make a decision whether to start tracking
     * patch history (standalone, fabric root container) or not (child, ssh container)
     * @return
     */
    EnvType determineEnvironmentType() throws IOException;

}
